VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBuilder.Gizmos.EditingGrid Class Reference

List of all members.

## Public Member Functions
virtual void | Render (RendererEventArgs args)
| EditingGrid ()
void | Init (MainBuilderForm boss)
void | TimeTick ()
## Protected Member Functions
void | RecalcGridMesh ()
void | PrepareMaterialsAndMesh ()
## Protected Attributes
float | _GridSize = 1
Vector3 | _GridMinimum = new Vector3(0)
Matrix4 | MyTrans = Matrix4.Identitity
ColorByte | _GridColor = new ColorByte(255, 255, 255, 180)
bool | _MoveWithCamera
## Properties
ColorByte | GridColor`[get, set]`
float | GridSize`[get, set]`
Vector3 | GridExtentsMinimum`[get, set]`
Vector3 | GridExtentsMaximum`[get, set]`
bool | Hidden`[get, set]`
bool | AlwaysOnTop`[get, set]`
bool | MoveWithCamera`[get, set]`
bool | MoveWithSelectedObject`[get, set]`

## Constructor & Destructor Documentation

VisimBuilder.Gizmos.EditingGrid.EditingGrid | ( |  | ) |

## Member Function Documentation

void VisimBuilder.Gizmos.EditingGrid.Init | ( | MainBuilderForm | boss | ) |

void VisimBuilder.Gizmos.EditingGrid.PrepareMaterialsAndMesh | ( |  | ) | `[protected]`

void VisimBuilder.Gizmos.EditingGrid.RecalcGridMesh | ( |  | ) | `[protected]`

virtual void VisimBuilder.Gizmos.EditingGrid.Render | ( | RendererEventArgs | args | ) | `[virtual]`

void VisimBuilder.Gizmos.EditingGrid.TimeTick | ( |  | ) |

## Member Data Documentation

ColorByte VisimBuilder.Gizmos.EditingGrid._GridColor = new ColorByte(255, 255, 255, 180)`[protected]`

Vector3 VisimBuilder.Gizmos.EditingGrid._GridMinimum = new Vector3(0)`[protected]`

float VisimBuilder.Gizmos.EditingGrid._GridSize = 1`[protected]`

bool VisimBuilder.Gizmos.EditingGrid._MoveWithCamera`[protected]`

Matrix4 VisimBuilder.Gizmos.EditingGrid.MyTrans = Matrix4.Identitity`[protected]`

## Property Documentation

bool VisimBuilder.Gizmos.EditingGrid.AlwaysOnTop`[get, set]`

ColorByte VisimBuilder.Gizmos.EditingGrid.GridColor`[get, set]`

Vector3 VisimBuilder.Gizmos.EditingGrid.GridExtentsMaximum`[get, set]`

Vector3 VisimBuilder.Gizmos.EditingGrid.GridExtentsMinimum`[get, set]`

float VisimBuilder.Gizmos.EditingGrid.GridSize`[get, set]`

bool VisimBuilder.Gizmos.EditingGrid.Hidden`[get, set]`

bool VisimBuilder.Gizmos.EditingGrid.MoveWithCamera`[get, set]`

bool VisimBuilder.Gizmos.EditingGrid.MoveWithSelectedObject`[get, set]`

The documentation for this class was generated from the following file:

- EditingGrid.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events